﻿using UnityEngine;
using System.Collections;

public class GhostScript : MonoBehaviour {
	
	public bool moveUp;
	public bool moveDown;
	public bool moveUpFast;
	public GameScript gameScript;
	public SpriteRenderer spriteRenderer;
	public Sprite sprite, hitSprite;
	public float lerpValue, lerpSpeed;
	public Vector3 hiddenPosition, shownPosition;
	public Vector3 currentPosition;

	// Use this for initialization
	void Start () {
		moveUp = true;
		moveDown = false;
		hiddenPosition = new Vector3 (0f, -4.87f, 0f);
		shownPosition = new Vector3 (0f, -0.85f, 0f);
		lerpValue = 1f;
		lerpSpeed = 3f;
	}
	
	// Update is called once per frame
	void Update () {
		if (moveUpFast) {
			lerpSpeed = 2;
			lerpValue += lerpSpeed * Time.deltaTime;
			transform.position = Vector3.Lerp (currentPosition, shownPosition, lerpValue);
		} else if (moveUp) {
			transform.position = Vector3.Lerp (hiddenPosition, shownPosition, 1 - (gameScript.time / gameScript.maxTime));
		} else if (moveDown) {
			lerpValue -= lerpSpeed * Time.deltaTime;
			transform.position = Vector3.Lerp (hiddenPosition, currentPosition, lerpValue);

			if(lerpValue <= 0f){
				moveDown = false;
				moveUp = true;
				lerpValue = 1f;
				spriteRenderer.sprite = sprite;
			}
		}
	}

	void OnCollisionEnter2D(Collision2D other){
		spriteRenderer.sprite = hitSprite;
		moveDown = true;
		moveUp = false;
		currentPosition = transform.position;
		other.gameObject.SetActive (false);
		other.transform.position = new Vector3 (0f, 2.37f, 0f);
		gameScript.audioSource.clip = gameScript.sfx [6];
		gameScript.audioSource.Play ();
	}
}
