﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class MantraScript : MonoBehaviour {

	// Use this for initialization
	void Start () {
		StartCoroutine (fadeOutMantra ());
	}
	
	IEnumerator fadeOutMantra(){
		RectTransform rectTransform = GetComponent<RectTransform> ();
		Text text = GetComponent<Text> ();

		Vector2 startPos = rectTransform.anchoredPosition;
		Vector2 targetPos = new Vector2(startPos.x, startPos.y + 100);

		Color startColor = text.color;
		startColor.a = 1f;
		Color targetColor = text.color;
		targetColor.a = 0f;

		float lerpValue = 0f;
		float lerpSpeed = 1f;

		while (lerpValue < 1f) {
			lerpValue += lerpSpeed * Time.deltaTime;
			rectTransform.anchoredPosition = Vector2.Lerp(startPos, targetPos, lerpValue);
			text.color = Color.Lerp(startColor, targetColor, lerpValue);

			yield return 0;
		}

		Destroy (this.gameObject);
	}
}
